#ifndef FromMQTT_H
#define FromMQTT_H

#include "MQTTBase.h"
#include "spdlog/spdlog.h"



class FromMQTT : public MQTTBase
{

public:
    FromMQTT(MQTTBase* parent = nullptr);
    ~FromMQTT();


protected:
    /* 接收到消息，子类继承这个解析消息数据 */
    virtual void recvMessage(const QMQTT::Message& message) override;

private:
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

};

#endif // FromMQTT_H
